package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWorkHoursConfirmEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractWorkHoursConfirmEntryInfo()
    {
        this("id");
    }
    protected AbstractWorkHoursConfirmEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: ·ÖÂ¼ 's µ¥¾ÝÍ· property 
     */
    public com.kingdee.eas.hr.project.WorkHoursConfirmInfo getParent()
    {
        return (com.kingdee.eas.hr.project.WorkHoursConfirmInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.hr.project.WorkHoursConfirmInfo item)
    {
        put("parent", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("A88F114F");
    }
}